package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import com.ynet.life.file.parser.CommonFileParserInterface;
import com.ynet.life.file.parser.CommonParserFactory;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.StringTokenizer;

public class ReportDownloadTitleAction extends LifeAction {

   private static final String FIELD_SEPERATOR = "||";
   protected String fileTypeField;
   protected String fileNameField;
   protected String titleField;
   protected String encoding;
   private List outputFields;
   private List titleColWidthFormats;
   private List leftRightColMergeFormats;
   private List leftRightColMergeNum;
   private List topBottomColMergeFormats;
   private List oneTitles;
   private List twoTitles;
   private String iCollName;
   private String reportType;


   public String execute(Context ctx) throws GENEException {
      try {
         ctx.terminate();
         List ex = this.initFromContext(ctx, this.iCollName);
         String filePathName;
         CommonFileParserInterface parser = CommonParserFactory.createParser(filePathName = (String)ctx.get(this.fileTypeField));
         filePathName = this.getFileName(filePathName, this.fileNameField);
         String language = this.getLanguage(ctx);
         ArrayList oneTitlesI18N = new ArrayList();
         ArrayList twoTitlesI18N = new ArrayList();
         int i;
         if(this.oneTitles != null) {
            for(i = 0; i < this.oneTitles.size(); ++i) {
               oneTitlesI18N.add(LifeStandard.getResouceDisplayAt((String)this.oneTitles.get(i), language));
            }

            if(this.reportType.equals("0")) {
               String var10 = String.valueOf(Integer.parseInt(((String)ctx.get("startDate")).substring(4, 6)));
               oneTitlesI18N.set(8, var10 + "月份新增放款");
            }
         }

         if(this.twoTitles != null) {
            for(i = 0; i < this.twoTitles.size(); ++i) {
               twoTitlesI18N.add(LifeStandard.getResouceDisplayAt((String)this.twoTitles.get(i), language));
            }
         }

         parser.writeToFile(oneTitlesI18N, twoTitlesI18N, ex, this.outputFields, this.titleColWidthFormats, this.leftRightColMergeFormats, this.topBottomColMergeFormats, filePathName, this.encoding, this.titleField, this.leftRightColMergeNum);
         ctx.put("downloadFile", filePathName);
         return "0";
      } catch (Exception var9) {
         Trace.logError("LifeAction", "RZPT90001:报表下载处理出错", var9);
         throw new TranFailException("RZPT90001", "报表下载处理出错", false);
      }
   }

   private String getLanguage(Context context) {
      if(context == null) {
         return null;
      } else {
         String language = null;

         try {
            language = (String)context.getDataValue("session_language");
         } catch (GENEException var3) {
            ;
         }

         return language;
      }
   }

   protected String getFileName(String filePathName, String fileName) throws TranFailException {
      String rootPath = LifeStandard.getSelfDefineSettingsValue("tempDownloadDir");
      String folder = LifeStandard.getServerTime("yyyyMMdd") + LifeFile.DIR_SEPARATOR;
      LifeFile.makeMultiDirectory(rootPath, folder);
      filePathName = LifeStandard.getServerTime("HHmmssSSS") + (new Random()).nextInt(1000) + fileName + '.' + filePathName;
      return rootPath + folder + filePathName;
   }

   public List initFromContext(Map iterator, String kcoll) throws TranFailException {
      ArrayList recordList = new ArrayList();
      Iterator iterator1 = ((List)iterator.get(kcoll)).iterator();

      while(iterator1.hasNext()) {
         Map kcoll1 = (Map)iterator1.next();
         recordList.add(kcoll1);
      }

      return recordList;
   }

   public void setOutputFields(String toke) {
      ArrayList result = new ArrayList();
      StringTokenizer toke1 = new StringTokenizer(toke, "||");

      while(toke1.hasMoreElements()) {
         String input = ((String)toke1.nextElement()).trim();
         result.add(input);
      }

      this.outputFields = result;
   }

   public void setTitleColWidthFormats(String toke) {
      ArrayList result = new ArrayList();
      StringTokenizer toke1 = new StringTokenizer(toke, "||");

      while(toke1.hasMoreElements()) {
         String input = ((String)toke1.nextElement()).trim();
         result.add(input);
      }

      this.titleColWidthFormats = result;
   }

   public void setLeftRightColMergeFormats(String toke) {
      ArrayList result = new ArrayList();
      StringTokenizer toke1 = new StringTokenizer(toke, "||");

      while(toke1.hasMoreElements()) {
         String input = ((String)toke1.nextElement()).trim();
         result.add(input);
      }

      this.leftRightColMergeFormats = result;
   }

   public void setTopBottomColMergeFormats(String toke) {
      ArrayList result = new ArrayList();
      StringTokenizer toke1 = new StringTokenizer(toke, "||");

      while(toke1.hasMoreElements()) {
         String input = ((String)toke1.nextElement()).trim();
         result.add(input);
      }

      this.topBottomColMergeFormats = result;
   }

   public void setOneTitles(String toke) {
      ArrayList title = new ArrayList();
      StringTokenizer toke1 = new StringTokenizer(toke, "||");

      while(toke1.hasMoreElements()) {
         String input = ((String)toke1.nextElement()).trim();
         title.add(input);
      }

      this.oneTitles = title;
   }

   public void setTwoTitles(String toke) {
      ArrayList title = new ArrayList();
      StringTokenizer toke1 = new StringTokenizer(toke, "||");

      while(toke1.hasMoreElements()) {
         String input = ((String)toke1.nextElement()).trim();
         title.add(input);
      }

      this.twoTitles = title;
   }

   public void setICollName(String collName) {
      this.iCollName = collName;
   }

   public void setFileTypeField(String fileTypeField) {
      this.fileTypeField = fileTypeField;
   }

   public void setTitleField(String titleField) {
      this.titleField = titleField;
   }

   public void setFileNameField(String fileNameField) {
      this.fileNameField = fileNameField;
   }

   public void setEncoding(String encoding) {
      this.encoding = encoding;
   }

   public void setReportType(String reportType) {
      this.reportType = reportType;
   }

   public List getLeftRightColMergeNum() {
      return this.leftRightColMergeNum;
   }

   public void setLeftRightColMergeNum(String toke) {
      ArrayList result = new ArrayList();
      StringTokenizer toke1 = new StringTokenizer(toke, "||");

      while(toke1.hasMoreElements()) {
         String input = ((String)toke1.nextElement()).trim();
         result.add(input);
      }

      this.leftRightColMergeNum = result;
   }

   public static void main(String[] args) {
      System.out.println("20156676".substring(4, 6));
   }
}
